.block-activities {
	margin: 100px 0;
}
.block-activities .activity-grid {
	display: grid;
	grid-template-columns: 1fr; /* 4 items per row on wider screens */
	gap: 80px;
	margin: 20px 0;
	padding: 0;
}

/* Individual activity item */
.block-activities .activity-grid .activity-item {
	position: relative;
}

/* Thumbnail image */
.block-activities .activity-grid .activity-item .activity-thumbnail {
	display: block;
	width: 100%;
	height: auto;
	transition: transform 0.3s ease; /* Smooth zoom effect */
}

.block-activities .activity-grid .activity-item:hover .activity-thumbnail {
	transform: scale(1.05); /* Slight zoom on hover */
}

/* Overlay for title */
.block-activities .activity-grid .activity-item .activity-title-overlay {
	align-items: center;
	justify-content: center;
}


.block-activities .activity-grid .activity-item .activity-title {
	font-size: 5rem;
	line-height: 1.1;
	font-weight: bold;
	margin: 0 0 20px;
	transition: color 0.3s ease;
}

.block-activities .activity-grid .activity-item:hover .activity-title {
	color: #005625;
}

.block-activities .activity-grid .activity-item .activity-desc-overlay {
	color: #000000;
}

.block-activities .activity-grid .activity-item .activity-desc-content {
	margin: 0;
}

.block-activities .activity-grid .activity-item .activity-desc-content p {
	margin: 0;
}

.block-activities .activity-grid .activity-item .activity-desc-content button {
	background: #88c440;
	border: none;
	font-family: inherit;
	border-radius: 0;
	margin-top: 15px;
	color: #fff;
	font-weight: 400;
	transition: background 300ms ease;
	padding: 0.6em 1.5em;
	font-size: 22px;
	cursor: inherit;
}
.block-activities .activity-grid .activity-item:hover .activity-desc-content button {
	background: #005625;
}
.block-activities .activity-grid .activity-item .activity-desc-content button i {
	position: relative;
	margin-left: 10px;
	left: 0;
	transition: left 300ms ease;
}
.block-activities .activity-grid .activity-item:hover .activity-desc-content button i {
	left: 5px;
}

.block-activities .activity-grid .activity-item a {
	display: flex;
	align-items: center;
	text-decoration: none;
	color: #000;
}

.block-activities .activity-grid .activity-item .activity-image {
	flex: 0 0 45%;
	overflow: hidden;
	border-radius: 4px;
}

.block-activities .activity-grid .activity-item:nth-child(2n) .activity-image {
	order: 2;
}

.block-activities .activity-grid .activity-item .activity-text {
	padding: 20px 50px;
	display: flex;
	align-items: flex-start;
	flex-direction: column;
	justify-content: center;
}

/* 1650px = under 1700px */
@media only screen and (max-width: 1680px) {

}


/* 1560px = under 1680px */
@media only screen and (max-width: 1649px) {

}


/* 1440px = under 1560px */
@media only screen and (max-width: 1559px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 4rem;
	}
}


/* 1360px = under 1440px */
@media only screen and (max-width: 1439px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 3.5rem;
	}
}


/* 1200px = under 1366px */
@media only screen and (max-width: 1359px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 3rem;
	}
}


/* 1024px = under 1200px */
@media only screen and (max-width: 1199px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 2.8rem;
	}
	.block-activities .activity-grid .activity-item .activity-text {
		padding: 15px 25px;
	}
	.block-activities .activity-grid .activity-item .activity-desc-content p {
		font-size:	16px;
	}

}


/* 768px = under 1024px */
@media only screen and (max-width: 1023px) {
	.block-activities {
		margin: 70px 0;
	}
	.block-activities .activity-grid {
		gap: 50px;
	}
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 2.5rem;
	}
	.block-activities .activity-grid .activity-item .activity-desc-content p {
		font-size:	14px;
	}
}


/* 640px = under 768px */
@media only screen and (max-width: 767px) {
	.block-activities .activity-grid .activity-item {
		overflow: visible;
	}
	.block-activities .activity-grid .activity-item a {
		flex-direction: column;
		gap: 20px;
		padding: 10px;
		transition: box-shadow 0.3s ease; /* Smooth zoom effect */
	}
	.block-activities .activity-grid .activity-item .activity-text {
		padding: 0;
	}
	.block-activities .activity-grid .activity-item .activity-image {
		order: 1;
	}
	.block-activities .activity-grid {
		gap: 50px;
	}
	.block-activities .activity-grid .activity-item .activity-desc-content button {
		width: 100%;
	}



	.block-activities .activity-grid .activity-item.in-view a {
		box-shadow: 0 5px 20px -5px rgb(0 0 0 / 30%);
	}
	.block-activities .activity-grid .activity-item.in-view .activity-thumbnail {
		transform: scale(1.05); /* Slight zoom on hover */
	}
	.block-activities .activity-grid .activity-item.in-view .activity-title {
		/*color: #005625;*/
	}
	.block-activities .activity-grid .activity-item.in-view .activity-desc-content button {
		background: #005625;
	}
	.block-activities .activity-grid .activity-item.in-view .activity-desc-content button i {
		left: 5px;
	}




}


/* 410px = under 640px */
@media only screen and (max-width: 639px) {
	.block-activities {
		margin: 40px 0;
	}
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 2.3rem;
	}
}

/* 360px = under 425px */
@media only screen and (max-width: 409px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 2.2rem;
	}
}


/* 320px = under 360px */
@media only screen and (max-width: 359px) {
	.block-activities .activity-grid .activity-item .activity-title {
		font-size: 2.1rem;
	}
}


@media screen and (pointer: coarse), screen and (pointer: none) {

}





/*!* Grid container for activities *!*/
/*.block-activities .activity-grid {*/
/*	display: grid;*/
/*	grid-template-columns: repeat(auto-fit, minmax(400px, 1fr)); !* 4 items per row on wider screens *!*/
/*	gap: 30px;*/
/*	margin: 20px 0;*/
/*	padding: 0;*/
/*}*/

/*!* Individual activity item *!*/
/*.block-activities .activity-grid .activity-item {*/
/*	position: relative;*/
/*	overflow: hidden;*/
/*	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); !* Optional: Add shadow for better appearance *!*/
/*}*/

/*!* Thumbnail image *!*/
/*.block-activities .activity-grid .activity-thumbnail {*/
/*	display: block;*/
/*	width: 100%;*/
/*	height: auto;*/
/*	transition: transform 0.3s ease; !* Smooth zoom effect *!*/
/*}*/

/*.block-activities .activity-grid .activity-item:hover .activity-thumbnail {*/
/*	transform: scale(1.05); !* Slight zoom on hover *!*/
/*}*/

/*!* Overlay for title *!*/
/*.block-activities .activity-grid .activity-title-overlay {*/
/*	position: absolute;*/
/*	bottom: 0;*/
/*	left: 0;*/
/*	right: 0;*/
/*	top: 0;*/
/*	color: #000000;*/
/*	text-align: center;*/
/*	padding: 10px;*/
/*	transition: opacity 0.3s ease;*/
/*	display: flex;*/
/*	align-items: center;*/
/*	justify-content: center;*/
/*	opacity: 1;*/
/*}*/

/*.block-activities .activity-grid .activity-item:hover .activity-title-overlay {*/
/*	opacity: 0;*/
/*}*/

/*.block-activities .activity-grid .activity-title {*/
/*	margin: 0;*/
/*	font-size: 1.8rem;*/
/*	font-weight: bold;*/
/*	transition: color 0.3s ease;*/
/*	background: rgb(255 255 255 / 60%);*/
/*	padding: 10px 20px;*/
/*	border-radius: 3px;*/
/*}*/

/*.block-activities .activity-grid .activity-item:hover .activity-title {*/
/*	color: rgb(0 0 0 / 50%);*/
/*}*/

/*.block-activities .activity-grid .activity-desc-overlay {*/
/*	position: absolute;*/
/*	bottom: 0;*/
/*	left: 0;*/
/*	right: 0;*/
/*	top: 0;*/
/*	color: #000000;*/
/*	text-align: center;*/
/*	padding: 10px;*/
/*	transition: opacity 0.3s ease;*/
/*	background: rgb(255 255 255 / 80%);*/
/*	display: flex;*/
/*	align-items: center;*/
/*	justify-content: center;*/
/*	opacity: 0;*/
/*}*/

/*.block-activities .activity-grid .activity-item:hover .activity-desc-overlay {*/
/*	opacity: 1;*/
/*}*/

/*.block-activities .activity-grid .activity-desc-content {*/
/*	margin: 0;*/
/*	font-size: 0.95rem;*/
/*	transition: color 0.3s ease;*/
/*	padding: 10px 20px;*/
/*	border-radius: 3px;*/
/*}*/

/*.block-activities .activity-grid .activity-desc-content p {*/
/*	margin: 0;*/
/*}*/
